local _, core = ...;

------ CREATE DROPDOWNMENU ------
function WCCreator_Lib.CreateDropDownMenu(settings, parent)
	local dropDownMenu = CreateFrame("Frame",  "WCC_"..settings.frameType.."_"..settings.frameTitle, parent, "UIDropDownMenuTemplate");
	UIDropDownMenu_SetWidth(dropDownMenu, settings.width)
	UIDropDownMenu_SetText(dropDownMenu, settings.title)
	UIDropDownMenu_Initialize(dropDownMenu, function(self, level, menuList)
		for i = 1, #settings.info do
			local info = UIDropDownMenu_CreateInfo();
			info = settings.info[i];
			UIDropDownMenu_AddButton(info);
		end
	end);	
	return dropDownMenu;
end