local _, core = ...;

------ CREATE TITLE ------
function WCCreator_Lib.CreateTitle(str_title, parent)
	local title = CreateFrame("Frame", nil, parent, BackdropTemplateMixin and "BackdropTemplate");
	title:SetSize(400, 32);
	title:SetBackdrop({bgFile = "Interface/AddOns/WoWChallengerCreator/images/bg_title"});

	title.text = title:CreateFontString(nil, "OVERLAY", title);
	if GetLocale() == "ruRU" then
		title.text:SetFont("Interface\\AddOns\\WoWChallenger\\fonts\\MORPHEUS__CYR.TTF", 16);
	else
		title.text:SetFont("Interface\\AddOns\\WoWChallenger\\fonts\\MORPHEUS.TTF", 16);
	end
	title.text:SetTextColor(0.48, 0.45, 0.32);
	title.text:SetText(str_title);
	title.text:SetPoint("CENTER");
	
	return title;
end